TLM-2.0: tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL > Class Template Reference

# tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL > Class Template Reference

`#include <tlm_target_socket.h>`

Inheritance diagram for tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >:

[legend]
Collaboration diagram for tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >:

[legend]

List of all members.

## Public Types
typedef FW_IF | fw_interface_type
typedef BW_IF | bw_interface_type
typedef sc_core::sc_port < bw_interface_type, N, POL > | port_type
typedef sc_core::sc_export < fw_interface_type > | export_type
typedef tlm_base_initiator_socket_b < BUSWIDTH, fw_interface_type, bw_interface_type > | base_initiator_socket_type
typedef tlm_base_target_socket_b < BUSWIDTH, fw_interface_type, bw_interface_type > | base_type
## Public Member Functions
| tlm_base_target_socket ()
| tlm_base_target_socket (const char *name)
virtual const char * | kind () const
unsigned int | get_bus_width () const
void | bind (base_initiator_socket_type &s)
void | operator() (base_initiator_socket_type &s)
void | bind (base_type &s)
void | operator() (base_type &s)
void | bind (fw_interface_type &ifs)
void | operator() (fw_interface_type &s)
int | size () const
bw_interface_type * | operator-> ()
bw_interface_type * | operator[] (int i)
virtual sc_core::sc_port_b < BW_IF > & | get_base_port ()
virtual FW_IF & | get_base_interface ()
virtual sc_core::sc_export < FW_IF > & | get_base_export ()
## Protected Attributes
port_type | m_port
## Friends
class | tlm_base_initiator_socket

## Detailed Description

### template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>
class tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >

Definition at line 61 of file tlm_target_socket.h.

## Member Typedef Documentation

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

typedef tlm_base_initiator_socket_b<BUSWIDTH, fw_interface_type, bw_interface_type> tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::base_initiator_socket_type

Reimplemented in tlm_utils::multi_passthrough_target_socket< MODULE, BUSWIDTH, TYPES, N, POL >.

Definition at line 76 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

typedef tlm_base_target_socket_b<BUSWIDTH, fw_interface_type, bw_interface_type> tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::base_type

Reimplemented in tlm_utils::multi_passthrough_target_socket< MODULE, BUSWIDTH, TYPES, N, POL >, tlm_utils::multi_target_base< BUSWIDTH, TYPES, N, POL >, tlm_utils::passthrough_target_socket< MODULE, BUSWIDTH, TYPES >, tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >, tlm_utils::simple_target_socket< MODULE, BUSWIDTH, TYPES >, tlm_utils::simple_target_socket_tagged< MODULE, BUSWIDTH, TYPES >, and tlm_utils::multi_target_base< BUSWIDTH, TYPES, N,POL >.

Definition at line 80 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

typedef BW_IF tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::bw_interface_type

Reimplemented in tlm_utils::passthrough_target_socket< MODULE, BUSWIDTH, TYPES >, tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >, tlm_utils::simple_target_socket< MODULE, BUSWIDTH, TYPES >, and tlm_utils::simple_target_socket_tagged< MODULE, BUSWIDTH, TYPES >.

Definition at line 66 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

typedef sc_core::sc_export<fw_interface_type> tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::export_type

Definition at line 73 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

typedef FW_IF tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::fw_interface_type

Reimplemented in tlm_utils::passthrough_target_socket< MODULE, BUSWIDTH, TYPES >, tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >, tlm_utils::simple_target_socket< MODULE, BUSWIDTH, TYPES >, and tlm_utils::simple_target_socket_tagged< MODULE, BUSWIDTH, TYPES >.

Definition at line 65 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

typedef sc_core::sc_port<bw_interface_type, N , POL > tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::port_type

Definition at line 71 of file tlm_target_socket.h.

## Constructor & Destructor Documentation

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::tlm_base_target_socket | ( |  | ) | `[inline]`

Definition at line 91 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::tlm_base_target_socket | ( | const char * | name | ) | `[inline, explicit]`

Definition at line 97 of file tlm_target_socket.h.

## Member Function Documentation

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

void tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::bind | ( | fw_interface_type & | ifs | ) | `[inline]`

Definition at line 154 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

void tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::bind | ( | base_type & | s | ) | `[inline]`

Definition at line 137 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

void tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::bind | ( | base_initiator_socket_type & | s | ) | `[inline]`

Definition at line 120 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

virtual sc_core::sc_export<FW_IF>& tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::get_base_export | ( |  | ) | `[inline, virtual]`

Implements tlm::tlm_base_target_socket_b< BUSWIDTH, FW_IF, BW_IF >.

Reimplemented in tlm_utils::multi_passthrough_target_socket< MODULE, BUSWIDTH, TYPES, N, POL >.

Definition at line 191 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

virtual FW_IF& tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::get_base_interface | ( |  | ) | `[inline, virtual]`

Implements tlm::tlm_base_target_socket_b< BUSWIDTH, FW_IF, BW_IF >.

Reimplemented in tlm_utils::multi_passthrough_target_socket< MODULE, BUSWIDTH, TYPES, N, POL >.

Definition at line 190 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

virtual sc_core::sc_port_b<BW_IF>& tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::get_base_port | ( |  | ) | `[inline, virtual]`

Implements tlm::tlm_base_target_socket_b< BUSWIDTH, FW_IF, BW_IF >.

Definition at line 189 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

unsigned int tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::get_bus_width | ( |  | ) | const`[inline]`

Definition at line 108 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

virtual const char* tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::kind | ( |  | ) | const`[inline, virtual]`

Reimplemented in tlm::tlm_target_socket< BUSWIDTH, TYPES, N, POL >, tlm::tlm_target_socket< BUSWIDTH, TYPES >, and tlm::tlm_target_socket< BUSWIDTH, TYPES, N,POL >.

Definition at line 103 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

void tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::operator() | ( | fw_interface_type & | s | ) | `[inline]`

Definition at line 159 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

void tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::operator() | ( | base_type & | s | ) | `[inline]`

Definition at line 145 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

void tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::operator() | ( | base_initiator_socket_type & | s | ) | `[inline]`

Definition at line 128 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

bw_interface_type* tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::operator-> | ( |  | ) | `[inline]`

Reimplemented in tlm_utils::simple_target_socket< MODULE, BUSWIDTH, TYPES >, and tlm_utils::simple_target_socket_tagged< MODULE, BUSWIDTH, TYPES >.

Definition at line 175 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

bw_interface_type* tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::operator[] | ( | int | i | ) | `[inline]`

Reimplemented in tlm_utils::multi_passthrough_target_socket< MODULE, BUSWIDTH, TYPES, N, POL >.

Definition at line 183 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

int tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::size | ( |  | ) | const`[inline]`

Definition at line 167 of file tlm_target_socket.h.

## Friends And Related Function Documentation

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

friend class tlm_base_initiator_socket`[friend]`

Definition at line 88 of file tlm_target_socket.h.

## Member Data Documentation

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

port_type tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::m_port`[protected]`

Definition at line 194 of file tlm_target_socket.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_h/tlm_sockets/tlm_target_socket.h